//
//  MBReorderableTableView.h
//  ListedApp
//
//  Created by Martina Brazelton on 6/8/13.
//  Copyright (c) 2013 Martina Brazelton. All rights reserved.
//

#define ZOOM_SCALE 1.025
#define SHADOW_RADIUS 4.0
#define SHADOW_OPACITY 0.7
#define ANIMATION_DURATION 0.3
#define TABLE_VIEW_ZONES 6
#define SCROLL_TIMER_INTERVAL 1/8

@class  MBReorderableTableView;

typedef id (^StartReorderHandler)(MBReorderableTableView *tableview, NSIndexPath *oldIndexPath);
typedef void (^ReorderHandler)(MBReorderableTableView *tableview, NSIndexPath *oldIndexPath, NSIndexPath *indexPath);
typedef void (^ReorderCompletionHandler)(MBReorderableTableView *tableview, NSIndexPath *oldIndexPath, NSIndexPath *indexPath, id object);

@interface MBReorderableTableView : UITableView

@property (nonatomic, assign) BOOL canReorder;
@property (nonatomic, copy) StartReorderHandler startReorderHandler;
@property (nonatomic, copy) ReorderHandler reorderHandler;
@property (nonatomic, copy) ReorderCompletionHandler completionHandler;

@end
