//
//  MBReorderableTableViewController.h
//  ListedApp
//
//  Created by Martina Brazelton on 6/8/13.
//  Copyright (c) 2013 Martina Brazelton. All rights reserved.
//


@interface MBReorderableTableViewController : UITableViewController

@property (nonatomic, strong) NSMutableArray *objects;

- (id)moveStartedAtIndexPath:(NSIndexPath *)indexPath;
- (void)moveInProgress:(NSIndexPath *)oldIndexPath newIndexPath:(NSIndexPath *)indexPath;
- (void)object:(id)object movedToIndexPath:(NSIndexPath *)indexPath;
- (void)replaceObjectAtIndexPath:(NSIndexPath *)indexPath withObject:(id)object;
- (void)removeObjectAtIndexPath:(NSIndexPath *)removeIndexPath andInsertObject:(id)object atIndexPath:(NSIndexPath *)insertIndexPath;
- (void)removeObject:(id)object;
- (void)addObject:(id)object atIndexPath:(NSIndexPath *)indexPath;
- (id)objectAtIndexPath:(NSIndexPath *)indexPath;
- (NSIndexPath *)indexPathOfObject:(id)object;
- (id)dummyObject;
- (void)configureDefaultSettingsForCell:(UITableViewCell *)cell atIndexPath:(NSIndexPath *)indexPath;
- (void)configureDummyCell:(UITableViewCell *)cell forIndexPath:(NSIndexPath *)indexPath;
- (void)configureCell:(UITableViewCell *)cell forIndexPath:(NSIndexPath *)indexPath;
- (Class)cellClass;
- (NSString *)cellReuseID;
- (Class)headerClass;
- (NSString *)headerReuseID;

@end
